Bug 1146933 - Review Request: fontdump - Dump the CSS and different formats offonts for Google Fonts
Summary: Review Request: fontdump - Dump the CSS and different formats offonts for Goo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eduardo Mayorga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-26 11:30 UTC by Parag Nemade
Modified: 2014-11-20 10:44 UTC (History)
2 users (show)

Fixed In Version: fontdump-1.2.1-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 06:45:20 UTC
Type: ---
e: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2014-09-26 11:30:00 UTC
Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/python-fontdump.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/python-fontdump-1.2.0-1.fc21.src.rpm
Description: Dump the CSS and different formats offonts for Google Fonts


Fedora Account System Username: pnemade

Comment 2 Parag Nemade 2014-10-29 11:27:02 UTC
Hi,
  Can you review this please?

Comment 3 Eduardo Mayorga 2014-10-29 20:23:40 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package must include license file. Add a license text and inform upstream about this problem.

- This package Requires python-setuptools.

- As documentation sum up 1Mb, it'd better go in a -doc subpackage.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/reviews/1146933-fontdump/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[!]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fontdump-1.2.0-1.fc22.noarch.rpm
          fontdump-1.2.0-1.fc22.src.rpm
fontdump.noarch: W: no-manual-page-for-binary fontdump
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint fontdump
fontdump.noarch: W: no-manual-page-for-binary fontdump
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
fontdump (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)



Provides
--------
fontdump:
    fontdump



Source checksums
----------------
https://pypi.python.org/packages/source/f/fontdump/fontdump-1.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : e51c0c21bae995e680f4fe1fd5a3a894d80de74d9e2fbb7b2f7b47a2f9c9b4ea
  CHECKSUM(SHA256) upstream package : e51c0c21bae995e680f4fe1fd5a3a894d80de74d9e2fbb7b2f7b47a2f9c9b4ea

Comment 4 Parag Nemade 2014-10-30 06:12:29 UTC
(In reply to Eduardo Mayorga from comment #3)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> 
> 
> Issues:
> =======
> - Package must include license file. Add a license text and inform upstream
> about this problem.
> 
> - This package Requires python-setuptools.
> 
> - As documentation sum up 1Mb, it'd better go in a -doc subpackage.
> 
> 
> ===== MUST items =====
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [!]: If (and only if) the source package includes the text of the license(s)
>      in its own file, then that file, containing the text of the license(s)
>      for the package is included in %doc.

  I don't see this as a Fail item as source archive does not contain any license file.


> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "Unknown or generated". 4 files have unknown license. Detailed output of
>      licensecheck in /home/makerpm/reviews/1146933-fontdump/licensecheck.txt
> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [-]: Package contains desktop file if it is a GUI application.
> [-]: Development files must be in a -devel package
> [x]: Package uses nothing in %doc for runtime.
> [x]: Package consistently uses macros (instead of hard-coded directory
> names).
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [!]: Requires correct, justified where necessary.

> [x]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [x]: Package is not known to require an ExcludeArch tag.
> [!]: Large documentation must go in a -doc subpackage. Large could be size
>      (~1MB) or number of files.
>      Note: Documentation size is 10240 bytes in 1 files.


This package only have (kind of generic) PKG-INFO (size 4636 bytes) as a %doc file which many other python packages already included but I have not seen this single file being packaged in -doc subpackage. You sure you want me to add this PKG-INFO in -doc ?


> [!]: Package complies to the Packaging Guidelines
> [x]: Package successfully compiles and builds into binary rpms on at least
> one
>      supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> [x]: Package requires other packages for directories it uses.
> [x]: Package must own all directories that it creates.
> [x]: Package does not own files or directories owned by other packages.
> [x]: All build dependencies are listed in BuildRequires, except for any that
>      are listed in the exceptions section of Packaging Guidelines.
> [x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package do not use a name that already exist
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as provided
>      in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> 
> Python:
> [x]: Python eggs must not download any dependencies during the build process.
> [-]: A package which is used by another package via an egg interface should
>      provide egg info.
> [x]: Package meets the Packaging Guidelines::Python
> [x]: Package contains BR: python2-devel or python3-devel
> [x]: Binary eggs must be removed in %prep
> 
> ===== SHOULD items =====
> 
> Generic:
> [!]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.

  I have filed pull request upstream to package upstrem LICENSE file in future releases.

> [!]: Final provides and requires are sane (see attachments).

btw, I checked few python packages which do use setuptools but have not seen any "Requires:  python-setuptools" written in their spec files. Anyways, I have added this in below updated package srpm.

> [x]: Package functions as described.
> [x]: Latest version is packaged.
> [-]: Package does not include license text files separate from upstream.
> [!]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.

     I am not sure how I can fix this. Can you help me for this?

> [x]: Package should compile and build into binary rpms on all supported
>      architectures.
> [-]: %check is present and all tests pass.
> [x]: Packages should try to preserve timestamps of original installed files.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: Dist tag is present (not strictly required in GL).
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define unless justified.
> 


Updated package

Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/fontdump.spec
SRPM URL: https://pnemade.fedorapeople.org/fedora-work/SRPMS/fontdump-1.2.0-2.fc21.src.rpm

Comment 6 Parag Nemade 2014-11-04 04:19:46 UTC
Hi Edurado,
  Can you review this please?

Comment 7 Eduardo Mayorga 2014-11-05 00:45:07 UTC
(In reply to Parag from comment #4)
> (In reply to Eduardo Mayorga from comment #3)
> > [!]: If (and only if) the source package includes the text of the license(s)
> >      in its own file, then that file, containing the text of the license(s)
> >      for the package is included in %doc.
> 
>   I don't see this as a Fail item as source archive does not contain any
> license file.

Right, the tarball in PyPI does not include the license file, but it's shipped in the tarballs from Github.

> > [!]: Large documentation must go in a -doc subpackage. Large could be size
> >      (~1MB) or number of files.
> >      Note: Documentation size is 10240 bytes in 1 files.
> 
> 
> This package only have (kind of generic) PKG-INFO (size 4636 bytes) as a
> %doc file which many other python packages already included but I have not
> seen this single file being packaged in -doc subpackage. You sure you want
> me to add this PKG-INFO in -doc ?

As warned by fedora-review, I marked this item as fails. Ignore this, the note was a false positive.

> > [!]: Description and summary sections in the package spec file contains
> >      translations for supported Non-English languages, if available.
> 
>      I am not sure how I can fix this. Can you help me for this?

See this example for Spanish:
http://pkgs.fedoraproject.org/cgit/hyena.git/tree/hyena.spec#n6

Now it looks good.

PACKAGE APPROVED

Comment 8 Parag Nemade 2014-11-05 05:02:35 UTC
Thanks for this package review.

New Package SCM Request
=======================
Package Name: fontdump
Short Description: Dump the CSS and different formats of fonts for Google Fonts
Upstream URL: https://github.com/glasslion/fontdump
Owners: pnemade
Branches: f19 f20 f21 el6 epel7

Comment 9 Gwyn Ciesla 2014-11-05 12:05:36 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-11-05 12:52:49 UTC
fontdump-1.2.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/fontdump-1.2.1-1.fc21

Comment 11 Fedora Update System 2014-11-05 13:06:05 UTC
fontdump-1.2.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fontdump-1.2.1-1.fc20

Comment 12 Fedora Update System 2014-11-05 13:13:57 UTC
fontdump-1.2.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/fontdump-1.2.1-1.el7

Comment 13 Fedora Update System 2014-11-05 13:17:13 UTC
fontdump-1.2.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fontdump-1.2.1-1.fc19

Comment 14 Fedora Update System 2014-11-05 13:17:52 UTC
fontdump-1.2.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fontdump-1.2.1-1.el6

Comment 15 Fedora Update System 2014-11-05 18:45:31 UTC
fontdump-1.2.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 16 Fedora Update System 2014-11-10 06:45:20 UTC
fontdump-1.2.1-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 17 Fedora Update System 2014-11-15 09:20:40 UTC
fontdump-1.2.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 18 Fedora Update System 2014-11-15 09:22:48 UTC
fontdump-1.2.1-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 19 Fedora Update System 2014-11-20 10:44:21 UTC
fontdump-1.2.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 20 Fedora Update System 2014-11-20 10:44:47 UTC
fontdump-1.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.